# iscell

checks if a variable is a cell array

## Calling Sequence

    bool = iscell(x)

## Arguments

x

  a Scilab variable.

bool

  a boolean.

## Description

`iscell(x)` returns `%t`if `x` is a cell array and `%f` otherwise.

## Examples

    iscell(1)

    iscell(cell())

    c = cell(1,2);
    c(1).entries="Scilab";
    c(2).entries=datenum();
    iscell(c)

## See Also

- cell
- isstruct